- Main Page
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# Toc7 Class Reference

Inheritance diagram for Toc7:

List of all members.

## Detailed Description

Sends back an acknowledgement -- or not.

## Protected Member Functions
virtual void | handleMessage (cMessage *msg)

## Member Function Documentation

void Toc7::handleMessage | ( | cMessage * | msg | ) | `[protected, virtual]`

| Reimplemented from cSimpleModule.
    00101 {
    00102     if (uniform(0,1) < 0.1)
    00103     {
    00104         ev << "\"Losing\" message.\n";
    00105         bubble("message lost");  // making animation more informative...
    00106         delete msg;
    00107     }
    00108     else
    00109     {
    00110         ev << "Sending back same message as acknowledgement.\n";
    00111         send(msg, "out");
    00112     }
    00113 }

The documentation for this class was generated from the following file:

- txc7.cc